Skip to main content
POST
/
api
/
users
/
service
Create service account
curl --request POST \
  --url https://api.example.com/api/users/service \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "type": "member"
}
'
import requests

url = "https://api.example.com/api/users/service"

payload = {
    "email": "<string>",
    "type": "member"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({email: '<string>', type: 'member'})
};

fetch('https://api.example.com/api/users/service', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "isService": true,
  "roles": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>"
    }
  ]
}

Body

application/json
email
string
required

Email address for the service account

type
enum<string>
default:member

User type for the service account

Available options:
admin,
member

Response

200 - application/json

The created service account user

The created service account user

id
string<uuid>
required

Unique identifier of the user

email
string<email>
required

Email address of the user

type
enum<string>
required

User type/role within the organisation

Available options:
invited,
member,
author,
admin,
owner
status
enum<string>
required

Current status of the user account

Available options:
active,
disabled,
locked
createdAt
string
required

Timestamp when the user was created

updatedAt
string
required

Timestamp when the user was last updated

firstName
string | null

First name of the user

lastName
string | null

Last name of the user

isService
boolean

Whether this is a service account

roles
object[]

Roles assigned to the user